#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SQL
%define	pnam	Translator
Summary:	SQL::Translator - manipulate structure data definitions (database schemas)
Summary(pl.UTF-8):	SQL::Translator - manipulowanie definicjami struktur danych (schematami baz danych)
Name:		perl-SQL-Translator
Version:	0.11018
Release:	2
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/SQL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	03db60b963836ba2d264f33d585dffb3
URL:		http://search.cpan.org/dist/SQL-Translator/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-ShareDir >= 1.03
BuildRequires:	perl-Class-Base
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Class-MakeMethods
BuildRequires:	perl-DBI
BuildRequires:	perl-GD
BuildRequires:	perl-GraphViz
BuildRequires:	perl-JSON
BuildRequires:	perl-Log-Log4perl
BuildRequires:	perl-Moo
BuildRequires:	perl-Package-Variant >= 1.001001
BuildRequires:	perl-Parse-RecDescent >= 1.967009
BuildRequires:	perl-Pod-Parser
BuildRequires:	perl-Spreadsheet-ParseExcel >= 0.2602
BuildRequires:	perl-Template-Toolkit >= 2.10
BuildRequires:	perl-Template-Toolkit-Plugin-Date
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple >= 0.60
BuildRequires:	perl-Text-RecordParser >= 0.02
BuildRequires:	perl-XML-Writer >= 0.500
BuildRequires:	perl-XML-XPath >= 1.13
BuildRequires:	perl-YAML >= 0.39
%endif
Requires:	perl-File-ShareDir >= 1.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# stupid rpm... should invoke perl.req for all files at once
%define		_noautoreq	'perl(SQL::Translator.*)'

%description
SQL::Translator is a group of Perl modules that manipulate structure
data definitions (mostly database schemas) in interesting ways, such
as converting among different dialects of CREATE syntax (e.g.,
MySQL-to-Oracle), visualizations of schemas (pseudo-ER diagrams
GraphViz or GD), automatic code generation (using Class::DBI),
converting non-RDBMS files to SQL schemas (xSV text files, Excel
spreadsheets), serializing parsed schemas (via Storable, YAML and
XML), creating documentation (HTML and POD), and more. We also have
the ability to talk directly to a database through DBI to query for
the structures of several databases.

%description -l pl.UTF-8
SQL::Translator to grupa modułów Perla obrabiających definicje danych
struktur (głównie schematów baz danych) na ciekawe sposoby, takie jak
konwersja między różnymi dialektami składni CREATE (np. MySQL do
Oracle), wizualizacja schematów (diagramy pseudo-ER, GraphViz i GD),
automatyczne generowanie kodu (przy użyciu Class::DBI), konwersja
plików nie będących relacyjnymi bazami danych do schematów SQL (pliki
tekstowe xSV, arkusze Excela), serializacja przetworzonych schematów
(poprzez Storable, YAML i XML), tworzenie dokumentacji (HTML i POD)
itd. Istnieje także możliwość bezpośredniej komunikacji z bazą danych
poprzez DBI w celu odpytania o struktury różnych baz.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/SQL/*.pm
%{perl_vendorlib}/SQL/Translator
%{perl_vendorlib}/Test/SQL
%{perl_vendorlib}/auto/share/dist/SQL-Translator
%{_mandir}/man?/*
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SQL-Translator.git;a=log;h=master

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> f30252a
- release 2 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9812241
- BR perl-Moo

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 081b86a
- updated BRs and files

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> b9f6a34
- up to 0.11018

* Sat Oct 10 2009 amateja <amateja@pld-linux.org> a678608
- updated to 0.11003

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 4b05d19
- updated to 0.11002

* Thu Dec 11 2008 radek <radek@pld-linux.org> 254959a
- version 0.09002

* Sun Feb 17 2008 radek <radek@pld-linux.org> a0b0a5a
- version 0.08001

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> a1b0b1b
- generic URL

* Thu Mar 29 2007 radek <radek@pld-linux.org> 7ed0f55
- release 2: perl_vendorlib/Test/SQL

* Thu Mar 29 2007 radek <radek@pld-linux.org> 4821c3c
- turn tests back on, just make them non-fatal

* Thu Mar 29 2007 radek <radek@pld-linux.org> c968f40
- version 0.08, tests off (probably TT related), noautoreq

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f8eea9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6d36e81
- converted to UTF-8

* Tue Jul 19 2005 radek <radek@pld-linux.org> 4db917b
- version 0.07

* Wed Mar 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 72aee93
- sorted

* Wed Mar 30 2005 Elan Ruusamäe <glen@pld-linux.org> 4eb80df
- update BR

* Thu Dec 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 36bdf32
- pl desc

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> 809b4e9
- pl summary, formatting

* Thu Dec 09 2004 radek <radek@pld-linux.org> 9629701
- new

